Page MenuHomePhabricator

[Story] create a Wikidata analytics dashboard
Closed, ResolvedPublic1 Estimate Story Points

Description

We want to have dashboard to measure wikidata metrics like:

  • number of active editors
  • number of open tasks
  • and other KPI's defined by lydia

Similar to how the dashboard of search and discovery is done:
https://wikitech.wikimedia.org/wiki/Building_a_Shiny_Dashboard
https://searchdata.wmflabs.org/
https://github.com/Ironholds/rainbow
https://wikitech.wikimedia.org/wiki/Nova_Resource:Shiny-r

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a subscriber: JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2015, 11:13 PM
JanZerebecki updated the task description. (Show Details)Aug 10 2015, 8:28 PM
JanZerebecki set Security to None.
JanZerebecki updated the task description. (Show Details)Aug 10 2015, 8:31 PM

Training will be provided by the Discovery Analysis Team. This is tracked in T108732.

The Discovery Analysis Team will also write documentation on how to set up a Shiny dashboard. This is tracked in T108094, but is prioritised lower than providing one-off training to Jan, so that he can get up and running as fast as possible.

Jonas renamed this task from Wikidata analytics dashboard to [Task] Wikidata analytics dashboard.Aug 13 2015, 2:09 PM
Jonas triaged this task as Medium priority.
Jonas renamed this task from [Task] Wikidata analytics dashboard to [Story] Wikidata analytics dashboard.Aug 13 2015, 2:15 PM
Jonas updated the task description. (Show Details)
JanZerebecki renamed this task from [Story] Wikidata analytics dashboard to [Story] Provision a Wikidata analytics dashboard.Aug 19 2015, 10:39 AM
JanZerebecki reassigned this task from JanZerebecki to Ironholds.
JanZerebecki added a subscriber: EBernhardson.

In response to T103000#1550421 I'm assigning this to you. Is that correct?

JanZerebecki renamed this task from [Story] Provision a Wikidata analytics dashboard to [Story] create a Wikidata analytics dashboard.Aug 31 2015, 6:03 PM
JanZerebecki reassigned this task from Ironholds to Christopher.

This has progressed as follows:

  1. Dashboard Repository created at wikidata/analytics/dashboard
  2. Datasource Repository created at limn-wikidata-data (T112506)
  3. Prototype instance created at http://wdm.wmflabs.org/wdm
  4. Prototype dashboard populated with static data from https://tools.wmflabs.org/wikidata-todo/stats.php and https://docs.google.com/spreadsheets/d/1y7hhdxWftL4u5SYnFAxw3W3ZWjLTDyzvy_c_FhnGYMM/edit#gid=0
  5. Prototype dashboard interface review done by @Lydia_Pintscher 2015-09-19 16:28. (per email)

Next steps:

  1. Work with @Addshore to build dynamic dataset creation/retrieval scripts and set up data provider host. (New Task?)
  2. Continue to refine dashboard per @Lydia_Pintscher review.
  3. Create metric metadata and object descriptions (and create ontology for metric classification) (T113180)

Change 239855 had a related patch set uploaded (by Christopher Johnson (WMDE)):
changes per prototype review adds preliminary owl for metric definitions adds dates and percentage to infoBox reorganizes tabs adds items as a separate graph

https://gerrit.wikimedia.org/r/239855

We discussed using a dashboard that is used by many departments in the WMF and is supported by Analytics instead of shiny. How does that factor into the next steps?

Using the analytics supported limn infrastructure is part of the dynamic metric data set creation. (This should be created as a new and independent task). From what I have gathered, the limn front end graphs have been deprecated. Whether or not shiny is "supported" is not relevant to this task. A decision was made to create a prototype front end and we are moving forward with it.

I was talking with the analytics team yesterday and from the automated data collection side of things the correct moves are putting all of the scripts in the limn repo that we created, even if they are not to be used with limn.

Change 239855 merged by Christopher Johnson (WMDE):
changes per prototype review adds preliminary owl for metric definitions adds dates and percentage to infoBox reorganizes tabs adds items as a separate graph

https://gerrit.wikimedia.org/r/239855

Addshore closed this task as Resolved.Oct 30 2015, 1:43 PM
Addshore removed a subscriber: Addshore.Apr 15 2017, 1:55 PM
Addshore added a subscriber: Addshore.